Bug 708327 - as7: Deploy already present content to a new server-group
as7: Deploy already present content to a new server-group
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: jon3-sprint1 as7-plugin 715334
  Show dependency treegraph
 
Reported: 2011-05-27 06:05 EDT by Heiko W. Rupp
Modified: 2012-02-07 14:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:20:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-27 06:05:51 EDT
The current deploy code requires the upload of the package into the server.

AS7 supports separate steps for upload into the server to /deployment and then to add this content in a later step to a server-group
Comment 1 Heiko W. Rupp 2011-06-07 07:40:59 EDT
37f293f in branch as7plugin

How to test:

Go to the domain controller, create a new child resource "deployment", upload e.g. a war file.

When this shows up as child of the domain controller, switch to that resource and go to its operations tab.
Choose "deploy to server group", fill in the name of the server group (e.g. main-server-group) and if it should be enabled in that server group. Then submit.

The operation should show no error and the deployment should (after some time) show up as child of the server group.
Comment 2 Mike Foley 2011-06-28 10:55:41 EDT
failed during verification.  discussed with heiko

I see java.io.FileNotFoundException: http://localhost:9990/domain-api/add-content
meaning the internal API in the AS has changed
Comment 3 Heiko W. Rupp 2011-06-28 11:33:19 EDT
The api endpoint /domain-api got renamed to /management
The change in 50fb595 follows this renaming.
Unit test for upload and deploy (which is disabled by default, as it needs a running AS 7) shows that this change works with an AS7 instance as of June 29th (beta3, close to cr1).
Comment 4 Mike Foley 2011-06-29 11:33:23 EDT
still having trouble verifying this ... i logged BZ 717699 while attempting to verify this BZ

https://bugzilla.redhat.com/show_bug.cgi?id=717699
Comment 5 Heiko W. Rupp 2011-06-30 05:21:45 EDT
Can you retry with 5ed2f29d30db493e579cd66e5a0c95c172357935  (internal jenkins build #167 )
Comment 6 Sunil Kondkar 2011-07-22 07:56:59 EDT
Tried to create a new child resource to the domain controller by uploading a
war file. The child history tab of DomainController displays failed status with
error "No handler for deploy at address [("deployment" => "counter.war")],
rolled-back=true".

Filed a separate bug#724929:

https://bugzilla.redhat.com/show_bug.cgi?id=724929
Comment 7 Sunil Kondkar 2011-07-25 09:13:35 EDT
Verified on build#218 (Version: 4.1.0-SNAPSHOT Build Number: 6eedd25)

Created a new child resource by uploading a war file to the Domain Controller.
Navigated to the operations tab of the war file and scheduled a new operation 'Deploy to server group'. deployed it to the main-server-group.

The operation was successful. After doing discovery -f at the agent command prompt, the deployment is displayed as child resource of the main-server-group.

Marking as verified.
Comment 8 Mike Foley 2011-07-25 13:18:28 EDT
Sunil ... after verifying this, please make sure to add a testcase for this:

Standalone:  https://tcms.engineering.redhat.com/plan/4065/
Domain Controller:  https://tcms.engineering.redhat.com/plan/4071/
Comment 9 Sunil Kondkar 2011-07-26 05:31:53 EDT
Added below test cases:

Domain Controller: https://tcms.engineering.redhat.com/case/98615/?from_plan=4071

Standalone: Added a test case for creating a child resource to AS7 standalone by deploying a ear/war file.

https://tcms.engineering.redhat.com/case/102978/?from_plan=4065
Comment 10 Mike Foley 2012-02-07 14:20:00 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.